package com.base.locationsharewhite.fcm;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.base.locationsharewhite.helper.EventUtils;
import com.base.locationsharewhite.utils.LogEx;


public class FcmReceiver extends BroadcastReceiver {
    private String TAG = "FcmReceiver";

    @Override
    public void onReceive(Context context, Intent intent) {
        LogEx.INSTANCE.logDebug(TAG, "onReceive", false);
        EventUtils.INSTANCE.event("FCM_Received", null, null, false);

        NotificationUiUtil.INSTANCE.sendNotificationIfCan(context, PopupConstObject.POPUP_WHERE_FCM, null);
    }
}
